AngularJS 1.4.0 正式发布 - 开源中国社区
AngularJS 1.4.0 正式发布
oschina 2015年05月27日

AngularJS 1.4.0 正式发布

oschina oschina 发布于2015年05月27日 收藏 22 评论 25

有免费的MySQL,为什么还要买? >>>  

AngularJS 1.4.0 发布,此版本更新内容如下:

Bug 修复

  • $animate:

  • $animateCss: ensure that custom durations do not confuse the gcs cache (e0e1b520,#11723, #11852)

  • $http: do not modify the config object passed into $http short methods (f7a4b481)

  • ngAnimate:

    • close follow-up class-based animations when the same class is added/removed when removed/added (db246eb7,#11717)

    • ensure nested class-based animations are spaced out with a RAF (213c2a70,#11812)

    • class-based animations must not set addClass/removeClass CSS classes on the element (3a3db690,#11810)

    • ensure that repeated structural calls during pre-digest function (2327f5a0,#11867)

    • ensure that cancelled class-based animations are properly cleaned up (718ff844,#11652)

    • throw an error if a callback is passed to animate methods (9bb4d6cc,#11826, #11713)

    • ensure anchored animations remove the leave element at correct time (64c66d0e,#11850)

  • select: prevent unknown option being added to select when bound to null property (4090491c,#11872, #11875)

特性

此版本现已提供下载:https://github.com/angular/angular.js/archive/v1.4.0.zip

Angular JS (Angular.JS) 是一组用来开发Web页面的框架、模板以及数据绑定和丰富UI组件。它支持整个开发进程,提供web应用的架构,无需进行手工DOM操作。 AngularJS很小,只有60K,兼容主流浏览器,与 jQuery 配合良好。

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:AngularJS 1.4.0 正式发布
分享
评论(25)
最新评论
0

引用来自“开源中国投资人”的评论

等2.x

引用来自“sikele”的评论

等2了你准备用什么浏览器跑?估计到时候IE11都不支持,chrome38以下的版本也全废

引用来自“hantsy”的评论

最初的 2 的官方教程试过,只有 Chrome 能跑,,,最新的没试过,应该会兼顾其他浏览器。

引用来自“开源中国匿名会员”的评论

微软出的你让它不支持IE?

引用来自“sikele”的评论

你知道angular2用的什么么?object.obverse ? proxy? 而且和微软有毛关系,用个ts就微软了?ts你用过没?你是不是搞错什么了

引用来自“开源中国匿名会员”的评论

哦,好的,那你不用呗。

引用来自“sikele”的评论

哟,错的还理直气壮的嘛,我本来就不用啊,早就弃坑了。

引用来自“开源中国匿名会员”的评论

哦,那不用你又来关心这个干啥。

引用来自“sikele”的评论

纠正你这种显而易见的误导

引用来自“开源中国匿名会员”的评论

哦?你说了算?
呵呵,你一直都错的这么理直气壮? 怪不得要匿名
0

引用来自“开源中国投资人”的评论

等2.x

引用来自“sikele”的评论

等2了你准备用什么浏览器跑?估计到时候IE11都不支持,chrome38以下的版本也全废

引用来自“hantsy”的评论

最初的 2 的官方教程试过,只有 Chrome 能跑,,,最新的没试过,应该会兼顾其他浏览器。

引用来自“开源中国匿名会员”的评论

微软出的你让它不支持IE?

引用来自“sikele”的评论

你知道angular2用的什么么?object.obverse ? proxy? 而且和微软有毛关系,用个ts就微软了?ts你用过没?你是不是搞错什么了

引用来自“开源中国匿名会员”的评论

哦,好的,那你不用呗。

引用来自“sikele”的评论

哟,错的还理直气壮的嘛,我本来就不用啊,早就弃坑了。

引用来自“开源中国匿名会员”的评论

哦,那不用你又来关心这个干啥。

引用来自“sikele”的评论

纠正你这种显而易见的误导
哦?你说了算?
0

引用来自“开源中国投资人”的评论

等2.x

引用来自“sikele”的评论

等2了你准备用什么浏览器跑?估计到时候IE11都不支持,chrome38以下的版本也全废

引用来自“hantsy”的评论

最初的 2 的官方教程试过,只有 Chrome 能跑,,,最新的没试过,应该会兼顾其他浏览器。

引用来自“开源中国匿名会员”的评论

微软出的你让它不支持IE?

引用来自“sikele”的评论

你知道angular2用的什么么?object.obverse ? proxy? 而且和微软有毛关系,用个ts就微软了?ts你用过没?你是不是搞错什么了

引用来自“开源中国匿名会员”的评论

哦,好的,那你不用呗。

引用来自“sikele”的评论

哟,错的还理直气壮的嘛,我本来就不用啊,早就弃坑了。

引用来自“开源中国匿名会员”的评论

哦,那不用你又来关心这个干啥。
纠正你这种显而易见的误导
0

引用来自“开源中国投资人”的评论

等2.x

引用来自“sikele”的评论

等2了你准备用什么浏览器跑?估计到时候IE11都不支持,chrome38以下的版本也全废

引用来自“hantsy”的评论

最初的 2 的官方教程试过,只有 Chrome 能跑,,,最新的没试过,应该会兼顾其他浏览器。

引用来自“开源中国匿名会员”的评论

微软出的你让它不支持IE?

引用来自“sikele”的评论

你知道angular2用的什么么?object.obverse ? proxy? 而且和微软有毛关系,用个ts就微软了?ts你用过没?你是不是搞错什么了

引用来自“开源中国匿名会员”的评论

哦,好的,那你不用呗。

引用来自“sikele”的评论

哟,错的还理直气壮的嘛,我本来就不用啊,早就弃坑了。
哦,那不用你又来关心这个干啥。
0

引用来自“开源中国投资人”的评论

等2.x

引用来自“sikele”的评论

等2了你准备用什么浏览器跑?估计到时候IE11都不支持,chrome38以下的版本也全废

引用来自“hantsy”的评论

最初的 2 的官方教程试过,只有 Chrome 能跑,,,最新的没试过,应该会兼顾其他浏览器。

引用来自“开源中国匿名会员”的评论

微软出的你让它不支持IE?

引用来自“sikele”的评论

你知道angular2用的什么么?object.obverse ? proxy? 而且和微软有毛关系,用个ts就微软了?ts你用过没?你是不是搞错什么了

引用来自“开源中国匿名会员”的评论

哦,好的,那你不用呗。
哟,错的还理直气壮的嘛,我本来就不用啊,早就弃坑了。
0

引用来自“开源中国投资人”的评论

等2.x

引用来自“sikele”的评论

等2了你准备用什么浏览器跑?估计到时候IE11都不支持,chrome38以下的版本也全废

引用来自“hantsy”的评论

最初的 2 的官方教程试过,只有 Chrome 能跑,,,最新的没试过,应该会兼顾其他浏览器。

引用来自“开源中国匿名会员”的评论

微软出的你让它不支持IE?

引用来自“sikele”的评论

你知道angular2用的什么么?object.obverse ? proxy? 而且和微软有毛关系,用个ts就微软了?ts你用过没?你是不是搞错什么了
哦,好的,那你不用呗。
0

引用来自“开源中国投资人”的评论

等2.x

引用来自“sikele”的评论

等2了你准备用什么浏览器跑?估计到时候IE11都不支持,chrome38以下的版本也全废

引用来自“hantsy”的评论

最初的 2 的官方教程试过,只有 Chrome 能跑,,,最新的没试过,应该会兼顾其他浏览器。

引用来自“开源中国匿名会员”的评论

微软出的你让它不支持IE?
你知道angular2用的什么么?object.obverse ? proxy? 而且和微软有毛关系,用个ts就微软了?ts你用过没?你是不是搞错什么了
0
这货还没死?
0

引用来自“开源中国投资人”的评论

等2.x

引用来自“sikele”的评论

等2了你准备用什么浏览器跑?估计到时候IE11都不支持,chrome38以下的版本也全废

引用来自“hantsy”的评论

最初的 2 的官方教程试过,只有 Chrome 能跑,,,最新的没试过,应该会兼顾其他浏览器。
微软出的你让它不支持IE?
0

引用来自“开源中国投资人”的评论

等2.x

引用来自“sikele”的评论

等2了你准备用什么浏览器跑?估计到时候IE11都不支持,chrome38以下的版本也全废
最初的 2 的官方教程试过,只有 Chrome 能跑,,,最新的没试过,应该会兼顾其他浏览器。
0

引用来自“boyce小布”的评论

支持子试图嵌套了没
试图嵌套,可以采用ui-route
0

引用来自“开源中国投资人”的评论

等2.x
等2了你准备用什么浏览器跑?估计到时候IE11都不支持,chrome38以下的版本也全废
0
AngularJS真的好用,一会用就不会再碰JSP之类的东西了。
0

引用来自“Skiychan”的评论

想等2,怕像py那样。
用得着等?直接用avalon就行了
0

引用来自“Skiychan”的评论

想等2,怕像py那样。
恩,差不多吧。3年后再回头来看看你这个决定。
0
等2.x
0

引用来自“boyce小布”的评论

支持子试图嵌套了没

引用来自“wyysf”的评论

使用ui.router是可以的

引用来自“boyce小布”的评论

不是说要原生支持了,忘记哪个版本开始,好像是1.4
原生支持,动画使用了 CSS3 重写的。
0

引用来自“Skiychan”的评论

想等2,怕像py那样。
2 与 1.x 完全不一样,用等。
0
Great news....
0
牛瓣
顶部